Authenticate with an OTP
POST/nevisidm/api/auth/v1/:clientExtId/users/:userExtId/otp/login
Since: 8.2605.0, 9.2605.0
Required permission(s): AccessControl.CredentialView,AccessControl.CredentialChangeState
Verifies the user's OTP response against the previously generated challenge.
The challenge must have been generated using the challenge endpoint before calling this endpoint. The password field contains the OTP value computed by the user's OTP device in response to the challenge. Set updateLoginInfoOnSuccess to true to update the user's and credential's last-login timestamp and success counter on successful authentication.
A 200 response does not mean authentication succeeded. Check the statusCode in the response body. Login failures are returned as statusCode 2 or higher. Pre-condition failures (credential not found, not active, expired) result in 4xx HTTP errors.
Request
Responses
- 200
- 403
- 404
- 423
Authentication attempt processed. Check the statusCode in the response body for the actual result.
Operation restricted
Referenced resource not found
Credential not active